#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    for(int i=0; i<n; i++)
        cin >> a[i];
    if (n==2)
        swap (a[0],a[1]);
    else
    {
        for(int i=0; i<n; i++)
        {
            int maks=a[i];
            for(int j=i+1; j<n; j++)
            {
                if(a[j]>maks)
                {
                    swap(a[j],a[i]);
                    break;
                }
            }
        }
    }
    for(int i=0; i<n; i++)
        cout << a[i] << " ";
    return 0;
}